<?php


namespace OTP\Helper;

use OTP\Objects\FormHandler;
use OTP\Traits\Instance;
if (defined("\x41\x42\x53\x50\x41\x54\x48")) {
    goto m4;
}
die;
m4:
final class FormList
{
    use Instance;
    private $_forms;
    private $enabled_forms;
    private function __construct()
    {
        $this->_forms = array();
    }
    public function add($yU, $form)
    {
        $this->_forms[$yU] = $form;
        if (!$form->isFormEnabled()) {
            goto yf;
        }
        $this->enabled_forms[$yU] = $form;
        yf:
    }
    public function getList()
    {
        return $this->_forms;
    }
    public function getEnabledForms()
    {
        return $this->enabled_forms;
    }
}
